package com.kdanmobile.reader.setting

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.kdanmobile.reader.screen.model.SharePrefsModel

class ReaderSettingViewModelFactory(private val sharePrefsModel: SharePrefsModel) : ViewModelProvider.Factory {
    override fun <T : ViewModel?> create(modelClass: Class<T>): T {
        return ReaderSettingViewModel(sharePrefsModel) as T
    }
}